> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /idaho/companies

> Get full Idaho business details from the Secretary of State registry by file number: name, filing type, status, standing, jurisdiction of formation, term of duration, initial filing date, inactive filing date, expiration date, annual report due date, principal and mailing addresses and registered agent (name, type, registration id, address).

**Price:** 1 credit



## OpenAPI

````yaml /openapi/company-registries.json post /api/idaho/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/idaho/companies:
    post:
      tags:
        - US
      summary: /idaho/companies
      description: >-
        Get full Idaho business details from the Secretary of State registry by
        file number: name, filing type, status, standing, jurisdiction of
        formation, term of duration, initial filing date, inactive filing date,
        expiration date, annual report due date, principal and mailing addresses
        and registered agent (name, type, registration id, address).


        **Price:** 1 credit
      operationId: __api_idaho_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdahoCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IdahoCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IdahoCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        file_number:
          type: string
          minLength: 1
      type: object
      required:
        - file_number
    IdahoCompany:
      properties:
        '@type':
          type: string
          default: IdahoCompany
        file_number:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        filing_type:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        standing:
          anyOf:
            - type: string
            - type: 'null'
        formed_in:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        initial_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        inactive_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
        annual_report_due_date:
          anyOf:
            - type: string
            - type: 'null'
        principal_address:
          anyOf:
            - $ref: '#/components/schemas/IdahoAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/IdahoAddress'
            - type: 'null'
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/IdahoRegisteredAgent'
            - type: 'null'
      type: object
      required:
        - file_number
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IdahoAddress:
      properties:
        '@type':
          type: string
          default: IdahoAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        locality:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    IdahoRegisteredAgent:
      properties:
        '@type':
          type: string
          default: IdahoRegisteredAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        registration_id:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````